#ifndef POLYGUN_ENGINE_ENTITY_HPP
#define POLYGUN_ENGINE_ENTITY_HPP

#include "../renderer/mesh.hpp"
#include "../renderer/texture.hpp"

namespace polygun::engine {
	class Entity {
	public:
		virtual Entity();
		virtual ~Entity();

		virtual void start();
		virtual void update(double delta) = 0;
		virtual void render();

		glm::vec3 m_position, m_rotation, m_size;
		renderer::Texture* m_texture;
		renderer::Mesh* m_mesh;
	};

	class EntityManager {};
}

#endif // POLYGUN_ENGINE_ENTITY_HPP